Bug 332014 - Hide systray icon when bluetooth is off
Summary: Hide systray icon when bluetooth is off
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: bluetooth-systray (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: David Rosca
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-11 10:21 UTC by Antonio Rojas
Modified: 2015-03-10 20:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2014-03-11 10:21:37 UTC
I have a laptop with integrated bluetooth, so the bluedevil icon is always shown in the systray even when bluetooth is off. Please set the icon to passive when bluetooth is off so that it hides in the menu and doesn't take panel space.

Reproducible: Always
Comment 1 Antonio Rojas 2014-03-11 10:23:45 UTC
Using bluedevil 2.0rc1
Comment 2 David Rosca 2014-11-14 10:26:26 UTC
Git commit f98796f9aa3a14d333d34ec499acbc262ef68012 by David Rosca.
Committed on 14/11/2014 at 09:10.
Pushed by drosca into branch 'master'.

Monolithic: Set Passive state when Bluetooth is offline

M  +3    -0    src/monolithic/monolithic.cpp

http://commits.kde.org/bluedevil/f98796f9aa3a14d333d34ec499acbc262ef68012
Comment 3 Antonio Rojas 2015-01-13 23:22:37 UTC
This doesn't seem to be fixed in the KF5 version, which was released today with Plasma 5.2 beta
Comment 4 Antonio Rojas 2015-01-27 23:01:05 UTC
Reopening for KF5 version
Comment 5 David Rosca 2015-03-10 20:17:23 UTC
It is now fixed in master - will be in Plasma 5.3 release.